CoffeePi Coffee machine control for Raspberry Pi

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Enumerations | Functions
display.h File Reference
`#include <string>`

Go to the source code of this file.

## Data Structures
struct | display_string_t

## Macros
#define | DEFAULT_LANG lang_de
| Default display language. More...
#define | REFRESH_RATE 10
| Display refresh rate in Hz. More...
#define | DISPLAY_ROWS 2
#define | DISPLAY_COLS 16

## Enumerations
enum | display_lang_t { lang_de, lang_en, lang_last }
enum | display_strings_t { str_heating, str_heatingready, str_ready, str_brewing, str_cleaning, str_error, str_flow, str_bye, str_last }

## Functions
void * | displayThread (void *threadid)
| Main thread to handle display data. More...
void * | displayTimerHandler (void *threadid)
| Timer handler for display update. More...
void | displayInit (void)
| Initializes display. More...
void | displayTerminate (void)
| Handles cleanup before program termination. More...
void | displaySetLang (display_lang_t lang)
| Sets the language of the display text. More...
void | displayPushState (int state)
| Updates the display state to the matching coffee state. More...
void | displayRefresh (void)
| Refreshed the display content and outputs it. More...
const char * | displayGetString (display_strings_t string)
| Returns the matching translation of a string. More...

## Macro Definition Documentation

#define DEFAULT_LANG lang_de

Default display language.

#define DISPLAY_COLS 16

#define DISPLAY_ROWS 2

#define REFRESH_RATE 10

Display refresh rate in Hz.

## Enumeration Type Documentation

enum display_lang_t

Enumerator
lang_de |
lang_en |
lang_last |

enum display_strings_t

Enumerator
str_heating |
str_heatingready |
str_ready |
str_brewing |
str_cleaning |
str_error |
str_flow |
str_bye |
str_last |

## Function Documentation

const char* displayGetString | ( | display_strings_t | string | ) |

Returns the matching translation of a string.

Parameters

  string | Requested string

Returns
  Translated string

void displayInit | ( | void |  | ) |

Initializes display.

void displayPushState | ( | int | state | ) |

Updates the display state to the matching coffee state.

Parameters

  state | New state

void displayRefresh | ( | void |  | ) |

Refreshed the display content and outputs it.

void displaySetLang | ( | display_lang_t | lang | ) |

Sets the language of the display text.

Parameters

  lang | New language

void displayTerminate | ( | void |  | ) |

Handles cleanup before program termination.

void* displayThread | ( | void * | threadid | ) |

Main thread to handle display data.

Parameters

  *threadid | Thread ID

void* displayTimerHandler | ( | void * | threadid | ) |

Timer handler for display update.

Parameters

  *threadid | Thread ID